471,317 Members | 1,824 Online
Bytes | Software Development & Data Engineering Community
Post +

Home Posts Topics Members FAQ

Join Bytes to post your question to a community of 471,317 software developers and data experts.

Testing for 2.0

I have a C# app deployed at a number of sites, that automatically
downloads updates from a web server overnight, and restarts itself.
It's written for .Net 1.1, but I want to switch over to 2.0. As some of
the users may not have the 2.0 framework installed, I can't deploy the
next version automatically. Is there a way I can test for 2.0 from my
1.1 app to see if the new version can be installed without user
intervention?

Stuart.
Dec 14 '05 #1
5 952
This article [1] discusses the System.Environment class and several other
contextual methods.

<%= Clinton Gallagher
METROmilwaukee (sm) "A Regional Information Service"
NET csgallagher AT metromilwaukee.com
URL http://metromilwaukee.com/
URL http://clintongallagher.metromilwaukee.com/

[1]
http://www.codeguru.com/Csharp/.NET/...le.php/c10879/
"stuart" <st****@stu.org.uk> wrote in message
news:dn**********@domitilla.aioe.org...
I have a C# app deployed at a number of sites, that automatically downloads
updates from a web server overnight, and restarts itself. It's written for
.Net 1.1, but I want to switch over to 2.0. As some of the users may not
have the 2.0 framework installed, I can't deploy the next version
automatically. Is there a way I can test for 2.0 from my 1.1 app to see if
the new version can be installed without user intervention?

Stuart.

Dec 15 '05 #2
SP

"clintonG" <cs*********@REMOVETHISTEXTmetromilwaukee.com> wrote in message
news:eG**************@TK2MSFTNGP12.phx.gbl...
This article [1] discusses the System.Environment class and several other
contextual methods.

<%= Clinton Gallagher
METROmilwaukee (sm) "A Regional Information Service"
NET csgallagher AT metromilwaukee.com
URL http://metromilwaukee.com/
URL http://clintongallagher.metromilwaukee.com/

[1]
http://www.codeguru.com/Csharp/.NET/...le.php/c10879/


If you develop using 1.1 and the computer has both 1.1 and 2.0 are you
saying that System.Environment will be able to tell you that 2.0 is
installed. It was my understanding that a 1.1 program will run under 1.1 if
it is installed.

SP
Dec 15 '05 #3
I'm saying I used google to find what appears to be a solution and others
should be able to do the same although there doesn't seem to be a lot of
information that is making itself easy to locate. Did you download the
sample file and run it?
<%= Clinton Gallagher
METROmilwaukee (sm) "A Regional Information Service"
NET csgallagher AT metromilwaukee.com
URL http://metromilwaukee.com/
URL http://clintongallagher.metromilwaukee.com/
"SP" <ec***********@hotmail.com> wrote in message
news:uF*************@TK2MSFTNGP12.phx.gbl...

"clintonG" <cs*********@REMOVETHISTEXTmetromilwaukee.com> wrote in message
news:eG**************@TK2MSFTNGP12.phx.gbl...
This article [1] discusses the System.Environment class and several other
contextual methods.

<%= Clinton Gallagher
METROmilwaukee (sm) "A Regional Information Service"
NET csgallagher AT metromilwaukee.com
URL http://metromilwaukee.com/
URL http://clintongallagher.metromilwaukee.com/

[1]
http://www.codeguru.com/Csharp/.NET/...le.php/c10879/


If you develop using 1.1 and the computer has both 1.1 and 2.0 are you
saying that System.Environment will be able to tell you that 2.0 is
installed. It was my understanding that a 1.1 program will run under 1.1
if it is installed.

SP

Dec 15 '05 #4
SP

"clintonG" <cs*********@REMOVETHISTEXTmetromilwaukee.com> wrote in message
news:eO**************@TK2MSFTNGP11.phx.gbl...
I'm saying I used google to find what appears to be a solution and others
should be able to do the same although there doesn't seem to be a lot of
information that is making itself easy to locate. Did you download the
sample file and run it?
I was looking for something similar for WinForms. Not sure what the OP was
looking for. No disrespect intended, I appreciate your numerous posts in
this NG. Do you know if it is possible to make a WinForm 1.1 app run under
2.0 if 1.1 is installed? I have found that 1.1 is used unless it is removed
but it would be nice to make it run under 2.0 without having to do this.

Regards,

SP

<%= Clinton Gallagher
METROmilwaukee (sm) "A Regional Information Service"
NET csgallagher AT metromilwaukee.com
URL http://metromilwaukee.com/
URL http://clintongallagher.metromilwaukee.com/
"SP" <ec***********@hotmail.com> wrote in message
news:uF*************@TK2MSFTNGP12.phx.gbl...

"clintonG" <cs*********@REMOVETHISTEXTmetromilwaukee.com> wrote in
message news:eG**************@TK2MSFTNGP12.phx.gbl...
This article [1] discusses the System.Environment class and several
other contextual methods.

<%= Clinton Gallagher
METROmilwaukee (sm) "A Regional Information Service"
NET csgallagher AT metromilwaukee.com
URL http://metromilwaukee.com/
URL http://clintongallagher.metromilwaukee.com/

[1]
http://www.codeguru.com/Csharp/.NET/...le.php/c10879/


If you develop using 1.1 and the computer has both 1.1 and 2.0 are you
saying that System.Environment will be able to tell you that 2.0 is
installed. It was my understanding that a 1.1 program will run under 1.1
if it is installed.

SP


Dec 16 '05 #5
Nope. I am clueless and depend on web search for most of what I learn. The
newsgroups come second for me. Sorry I couldn't be more specific.

<%= Clinton Gallagher

"SP" <ec***********@hotmail.com> wrote in message
news:eA**************@TK2MSFTNGP14.phx.gbl...

"clintonG" <cs*********@REMOVETHISTEXTmetromilwaukee.com> wrote in message
news:eO**************@TK2MSFTNGP11.phx.gbl...
I'm saying I used google to find what appears to be a solution and others
should be able to do the same although there doesn't seem to be a lot of
information that is making itself easy to locate. Did you download the
sample file and run it?


I was looking for something similar for WinForms. Not sure what the OP was
looking for. No disrespect intended, I appreciate your numerous posts in
this NG. Do you know if it is possible to make a WinForm 1.1 app run under
2.0 if 1.1 is installed? I have found that 1.1 is used unless it is
removed but it would be nice to make it run under 2.0 without having to do
this.

Regards,

SP

<%= Clinton Gallagher
METROmilwaukee (sm) "A Regional Information Service"
NET csgallagher AT metromilwaukee.com
URL http://metromilwaukee.com/
URL http://clintongallagher.metromilwaukee.com/
"SP" <ec***********@hotmail.com> wrote in message
news:uF*************@TK2MSFTNGP12.phx.gbl...

"clintonG" <cs*********@REMOVETHISTEXTmetromilwaukee.com> wrote in
message news:eG**************@TK2MSFTNGP12.phx.gbl...
This article [1] discusses the System.Environment class and several
other contextual methods.

<%= Clinton Gallagher
METROmilwaukee (sm) "A Regional Information Service"
NET csgallagher AT metromilwaukee.com
URL http://metromilwaukee.com/
URL http://clintongallagher.metromilwaukee.com/

[1]
http://www.codeguru.com/Csharp/.NET/...le.php/c10879/
If you develop using 1.1 and the computer has both 1.1 and 2.0 are you
saying that System.Environment will be able to tell you that 2.0 is
installed. It was my understanding that a 1.1 program will run under 1.1
if it is installed.

SP



Dec 21 '05 #6

This discussion thread is closed

Replies have been disabled for this discussion.

Similar topics

4 posts views Thread by Hugh Cowan | last post: by
reply views Thread by Jonathan Allen | last post: by
reply views Thread by Brian Russell | last post: by
4 posts views Thread by Peter Rilling | last post: by
72 posts views Thread by Jacob | last post: by
58 posts views Thread by nw | last post: by
reply views Thread by Matthew Fitzgibbons | last post: by

By using Bytes.com and it's services, you agree to our Privacy Policy and Terms of Use.

To disable or enable advertisements and analytics tracking please visit the manage ads & tracking page.